// 2007/09/01 Hiroyuki Ogasawara
// vim:ts=4 sw=4:
// http://dench.flatlib.jp/


#ifndef	__TASKTEST2_H__
#define	__TASKTEST2_H__


#include	"tmain.h"



class DrawMenu : public _TaskBase {
public:
	enum {
		priority	= 8000,
	};
	static void	Func()
	{
		printf( "DrawMenu\n" );
	}
};


class DrawBegin : public _TaskBase {
public:
	enum {
		priority	= 3000,
	};
	static void	Func()
	{
		printf( "DrawBegin\n" );
	}
};


class DrawEnd : public _TaskBase {
public:
	enum {
		priority	= 9000,
	};
	static void	Func()
	{
		printf( "DrawEnd\n" );
	}
};


class DrawFlip : public _TaskBase {
public:
	enum {
		priority	= 10000,
	};
	static void	Func()
	{
		printf( "DrawFlip\n" );
	}
};



class RenderShadow : public _TaskBase {
public:
	enum {
		priority	= 3100,
	};
	static void	Func()
	{
		printf( "RenderShadow\n" );
	}
};


class Input : public _TaskBase {
public:
	enum {
		priority	= 200,
	};
	static void	Func()
	{
		printf( "Input\n" );
	}
};

class Camera : public _TaskBase {
private:
	int	data;
public:
	enum {
		priority	= 300,
	};
	Camera( int d )
	{
		data= d;
	}
	void	Func()
	{
		printf( "Camera data=%d\n", data );
	}
};



#endif

